Update agent
curl --request PATCH \
--url https://app.outlit.ai/api/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Renewal risk",
"instructions": "Prioritize recent support escalations.",
"actionKeys": [
"send_slack_notification"
]
}
'import requests
url = "https://app.outlit.ai/api/agents/{id}"
payload = {
"displayName": "Renewal risk",
"instructions": "Prioritize recent support escalations.",
"actionKeys": ["send_slack_notification"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'Renewal risk',
instructions: 'Prioritize recent support escalations.',
actionKeys: ['send_slack_notification']
})
};
fetch('https://app.outlit.ai/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"agent": {
"id": "<string>",
"agentKey": "<string>",
"displayName": "<string>",
"templateVersion": "<string>",
"actionKeys": [
"<string>"
],
"schedule": {
"enabled": true,
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastSuccessfulRunAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Update agent
Patch one configured Outlit agent. Only provided fields are changed.
PATCH
/
api
/
agents
/
{id}
Update agent
Authorizations
Outlit API key using the Bearer ok_... format.
Path Parameters
Agent ID.
Minimum string length:
1Body
application/json
Was this page helpful?
⌘I